#ifndef COUNTRYREGISTER_H
#define COUNTRYREGISTER_H

#include "countryregister_global.h"
#include <QObject>
#include <imetadataplugin.h>

class COUNTRYREGISTERSHARED_EXPORT CountryRegister : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "countryregister.json")
    Q_INTERFACES(IPlugin)

public:
    CountryRegister();

    // IMetaDataPlugin interface
protected:
    void initServiceUi();

    // IPlugin interface
public:
    bool showIcon();
};

#endif // COUNTRYREGISTER_H
